<?php
/**
 * The template file to display taxonomies archive
 *
 * @package WordPress
 * @subpackage NEPTUNS
 * @since NEPTUNS 1.0.57
 */

// Redirect to the template page (if exists) for output current taxonomy
if ( is_category() || is_tag() || is_tax() ) {
	$neptunus_term = get_queried_object();
	global $wp_query;
	if ( ! empty( $neptunus_term->taxonomy ) && ! empty( $wp_query->posts[0]->post_type ) ) {
		$neptunus_taxonomy  = neptunus_get_post_type_taxonomy( $wp_query->posts[0]->post_type );
		if ( $neptunus_taxonomy == $neptunus_term->taxonomy ) {
			$neptunus_template_page_id = neptunus_get_template_page_id( array(
				'post_type'  => $wp_query->posts[0]->post_type,
				'parent_cat' => $neptunus_term->term_id
			) );
			if ( 0 < $neptunus_template_page_id ) {
				wp_safe_redirect( get_permalink( $neptunus_template_page_id ) );
				exit;
			}
		}
	}
}
// If template page is not exists - display default blog archive template
get_template_part( apply_filters( 'neptunus_filter_get_template_part', neptunus_blog_archive_get_template() ) );
