<?php
/**
 * The custom template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage NEPTUNS
 * @since NEPTUNS 1.0.50
 */

$neptunus_template_args = get_query_var( 'neptunus_template_args' );
if ( is_array( $neptunus_template_args ) ) {
	$neptunus_columns    = empty( $neptunus_template_args['columns'] ) ? 2 : max( 1, $neptunus_template_args['columns'] );
	$neptunus_blog_style = array( $neptunus_template_args['type'], $neptunus_columns );
} else {
	$neptunus_blog_style = explode( '_', neptunus_get_theme_option( 'blog_style' ) );
	$neptunus_columns    = empty( $neptunus_blog_style[1] ) ? 2 : max( 1, $neptunus_blog_style[1] );
}
$neptunus_blog_id       = neptunus_get_custom_blog_id( join( '_', $neptunus_blog_style ) );
$neptunus_blog_style[0] = str_replace( 'blog-custom-', '', $neptunus_blog_style[0] );
$neptunus_expanded      = ! neptunus_sidebar_present() && neptunus_is_on( neptunus_get_theme_option( 'expand_content' ) );
$neptunus_animation     = neptunus_get_theme_option( 'blog_animation' );
$neptunus_components    = neptunus_array_get_keys_by_value( neptunus_get_theme_option( 'meta_parts' ) );

$neptunus_post_format   = get_post_format();
$neptunus_post_format   = empty( $neptunus_post_format ) ? 'standard' : str_replace( 'post-format-', '', $neptunus_post_format );

$neptunus_blog_meta     = neptunus_get_custom_layout_meta( $neptunus_blog_id );
$neptunus_custom_style  = ! empty( $neptunus_blog_meta['scripts_required'] ) ? $neptunus_blog_meta['scripts_required'] : 'none';

if ( ! empty( $neptunus_template_args['slider'] ) || $neptunus_columns > 1 || ! neptunus_is_off( $neptunus_custom_style ) ) {
	?><div class="
		<?php
		if ( ! empty( $neptunus_template_args['slider'] ) ) {
			echo 'slider-slide swiper-slide';
		} else {
			echo ( neptunus_is_off( $neptunus_custom_style ) ? 'column' : sprintf( '%1$s_item %1$s_item', $neptunus_custom_style ) ) . '-1_' . esc_attr( $neptunus_columns );
		}
		?>
	">
	<?php
}
?>
<article id="post-<?php the_ID(); ?>" data-post-id="<?php the_ID(); ?>"
	<?php
	post_class(
			'post_item post_format_' . esc_attr( $neptunus_post_format )
					. ' post_layout_custom post_layout_custom_' . esc_attr( $neptunus_columns )
					. ' post_layout_' . esc_attr( $neptunus_blog_style[0] )
					. ' post_layout_' . esc_attr( $neptunus_blog_style[0] ) . '_' . esc_attr( $neptunus_columns )
					. ( ! neptunus_is_off( $neptunus_custom_style )
						? ' post_layout_' . esc_attr( $neptunus_custom_style )
							. ' post_layout_' . esc_attr( $neptunus_custom_style ) . '_' . esc_attr( $neptunus_columns )
						: ''
						)
		);
	echo ( ! neptunus_is_off( $neptunus_animation ) && empty( $neptunus_template_args['slider'] ) ? ' data-animation="' . esc_attr( neptunus_get_animation_classes( $neptunus_animation ) ) . '"' : '' );
	?>
>
	<?php
	// Sticky label
	if ( is_sticky() && ! is_paged() ) {
		?>
		<span class="post_label label_sticky"></span>
		<?php
	}
	// Custom layout
	do_action( 'neptunus_action_show_layout', $neptunus_blog_id );
	?>
</article><?php
if ( ! empty( $neptunus_template_args['slider'] ) || $neptunus_columns > 1 || ! neptunus_is_off( $neptunus_custom_style ) ) {
	?></div><?php
	// Need opening PHP-tag above just after </div>, because <div> is a inline-block element (used as column)!
}
