<?php
/**
 * The Portfolio template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage NEPTUNS
 * @since NEPTUNS 1.0
 */

$neptunus_template_args = get_query_var( 'neptunus_template_args' );
if ( is_array( $neptunus_template_args ) ) {
	$neptunus_columns    = empty( $neptunus_template_args['columns'] ) ? 2 : max( 1, $neptunus_template_args['columns'] );
	$neptunus_blog_style = array( $neptunus_template_args['type'], $neptunus_columns );
} else {
	$neptunus_blog_style = explode( '_', neptunus_get_theme_option( 'blog_style' ) );
	$neptunus_columns    = empty( $neptunus_blog_style[1] ) ? 2 : max( 1, $neptunus_blog_style[1] );
}
$neptunus_post_format = get_post_format();
$neptunus_post_format = empty( $neptunus_post_format ) ? 'standard' : str_replace( 'post-format-', '', $neptunus_post_format );
$neptunus_animation   = neptunus_get_theme_option( 'blog_animation' );

?><div class="
<?php
if ( ! empty( $neptunus_template_args['slider'] ) ) {
	echo ' slider-slide swiper-slide';
} else {
	echo 'masonry_item masonry_item-1_' . esc_attr( $neptunus_columns );
}
?>
"><article id="post-<?php the_ID(); ?>" 
	<?php
	post_class(
		'post_item post_format_' . esc_attr( $neptunus_post_format )
		. ' post_layout_portfolio'
		. ' post_layout_portfolio_' . esc_attr( $neptunus_columns )
		. ( is_sticky() && ! is_paged() ? ' sticky' : '' )
	);
	echo ( ! neptunus_is_off( $neptunus_animation ) && empty( $neptunus_template_args['slider'] ) ? ' data-animation="' . esc_attr( neptunus_get_animation_classes( $neptunus_animation ) ) . '"' : '' );
	?>
>
<?php

// Sticky label
if ( is_sticky() && ! is_paged() ) {
	?>
		<span class="post_label label_sticky"></span>
		<?php
}

	$neptunus_image_hover = ! empty( $neptunus_template_args['hover'] ) && ! neptunus_is_inherit( $neptunus_template_args['hover'] )
								? $neptunus_template_args['hover']
								: neptunus_get_theme_option( 'image_hover' );
	// Featured image
	neptunus_show_post_featured(
		array(
			'hover'         => $neptunus_image_hover,
			'no_links'      => ! empty( $neptunus_template_args['no_links'] ),
			'thumb_size'    => neptunus_get_thumb_size(
				strpos( neptunus_get_theme_option( 'body_style' ), 'full' ) !== false || $neptunus_columns < 3
								? 'masonry-big'
				: 'masonry'
			),
			'show_no_image' => true,
			'class'         => 'dots' == $neptunus_image_hover ? 'hover_with_info' : '',
			'post_info'     => 'dots' == $neptunus_image_hover ? '<div class="post_info">' . esc_html( get_the_title() ) . '</div>' : '',
		)
	);
	?>
</article></div><?php
// Need opening PHP-tag above, because <article> is a inline-block element (used as column)!