<?php
/**
 * The Header: Logo and main menu
 *
 * @package WordPress
 * @subpackage NEPTUNS
 * @since NEPTUNS 1.0
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js
									<?php
										// Class scheme_xxx need in the <html> as context for the <body>!
										echo ' scheme_' . esc_attr( neptunus_get_theme_option( 'color_scheme' ) );
									?>
										">
<head>
	<?php wp_head(); ?>
</head>

<body <?php	body_class(); ?>>
	<?php
	if ( function_exists( 'wp_body_open' ) ) {
	wp_body_open();
	} else {
	do_action( 'wp_body_open' );
	}
	?>

	<?php do_action( 'neptunus_action_before_body' ); ?>

	<div class="body_wrap">

		<div class="page_wrap">
			<?php
			// Desktop header
			$neptunus_header_type = neptunus_get_theme_option( 'header_type' );
			if ( 'custom' == $neptunus_header_type && ! neptunus_is_layouts_available() ) {
				$neptunus_header_type = 'default';
			}
			get_template_part( apply_filters( 'neptunus_filter_get_template_part', "templates/header-{$neptunus_header_type}" ) );

			// Side menu
			if ( in_array( neptunus_get_theme_option( 'menu_style' ), array( 'left', 'right' ) ) ) {
				get_template_part( apply_filters( 'neptunus_filter_get_template_part', 'templates/header-navi-side' ) );
			}

			// Mobile menu
			get_template_part( apply_filters( 'neptunus_filter_get_template_part', 'templates/header-navi-mobile' ) );
			
			// Single posts banner after header
			neptunus_show_post_banner( 'header' );
			?>

			<div class="page_content_wrap">
				<?php
				// Single posts banner on the background
				if ( is_singular( 'post' ) || is_singular( 'attachment' ) ) {

					neptunus_show_post_banner( 'background' );

					$neptunus_post_thumbnail_type  = neptunus_get_theme_option( 'post_thumbnail_type' );
					$neptunus_post_header_position = neptunus_get_theme_option( 'post_header_position' );
					$neptunus_post_header_align    = neptunus_get_theme_option( 'post_header_align' );

					// Boxed post thumbnail
					if ( in_array( $neptunus_post_thumbnail_type, array( 'boxed', 'fullwidth') ) ) {
						ob_start();
						?>
						<div class="header_content_wrap header_align_<?php echo esc_attr( $neptunus_post_header_align ); ?>">
							<?php
							if ( 'boxed' === $neptunus_post_thumbnail_type ) {
								?>
								<div class="content_wrap">
								<?php
							}

							// Post title and meta
							if ( 'above' === $neptunus_post_header_position ) {
								neptunus_show_post_title_and_meta();
							}

							// Featured image
							neptunus_show_post_featured_image();

							// Post title and meta
							if ( in_array( $neptunus_post_header_position, array( 'under', 'on_thumb' ) ) ) {
								neptunus_show_post_title_and_meta();
							}

							if ( 'boxed' === $neptunus_post_thumbnail_type ) {
								?>
								</div>
								<?php
							}
							?>
						</div>
						<?php
						$neptunus_post_header = ob_get_contents();
						ob_end_clean();
						if ( strpos( $neptunus_post_header, 'post_featured' ) !== false || strpos( $neptunus_post_header, 'post_title' ) !== false ) {
							neptunus_show_layout( $neptunus_post_header );
						}
					}
				}

				// Widgets area above page content
				$neptunus_body_style   = neptunus_get_theme_option( 'body_style' );
				$neptunus_widgets_name = neptunus_get_theme_option( 'widgets_above_page' );
				$neptunus_show_widgets = ! neptunus_is_off( $neptunus_widgets_name ) && is_active_sidebar( $neptunus_widgets_name );
				if ( $neptunus_show_widgets ) {
					if ( 'fullscreen' != $neptunus_body_style ) {
						?>
						<div class="content_wrap">
							<?php
					}
					neptunus_create_widgets_area( 'widgets_above_page' );
					if ( 'fullscreen' != $neptunus_body_style ) {
						?>
						</div><!-- </.content_wrap> -->
						<?php
					}
				}

				// Content area
				?>
				<div class="content_wrap<?php echo 'fullscreen' == $neptunus_body_style ? '_fullscreen' : ''; ?>">

					<div class="content">
						<?php
						// Widgets area inside page content
						neptunus_create_widgets_area( 'widgets_above_content' );
