<?php
/**
 * The template for homepage posts with "Classic" style
 *
 * @package WordPress
 * @subpackage NEPTUNS
 * @since NEPTUNS 1.0
 */

neptunus_storage_set( 'blog_archive', true );

get_header();

if ( have_posts() ) {

	neptunus_blog_archive_start();

	$neptunus_classes    = 'posts_container '
						. ( substr( neptunus_get_theme_option( 'blog_style' ), 0, 7 ) == 'classic'
							? 'columns_wrap columns_padding_bottom'
							: 'masonry_wrap'
							);
	$neptunus_stickies   = is_home() ? get_option( 'sticky_posts' ) : false;
	$neptunus_sticky_out = neptunus_get_theme_option( 'sticky_style' ) == 'columns'
							&& is_array( $neptunus_stickies ) && count( $neptunus_stickies ) > 0 && get_query_var( 'paged' ) < 1;
	if ( $neptunus_sticky_out ) {
		?>
		<div class="sticky_wrap columns_wrap">
		<?php
	}
	if ( ! $neptunus_sticky_out ) {
		if ( neptunus_get_theme_option( 'first_post_large' ) && ! is_paged() && ! in_array( neptunus_get_theme_option( 'body_style' ), array( 'fullwide', 'fullscreen' ) ) ) {
			the_post();
			get_template_part( apply_filters( 'neptunus_filter_get_template_part', 'content', 'excerpt' ), 'excerpt' );
		}

		?>
		<div class="<?php echo esc_attr( $neptunus_classes ); ?>">
		<?php
	}
	while ( have_posts() ) {
		the_post();
		if ( $neptunus_sticky_out && ! is_sticky() ) {
			$neptunus_sticky_out = false;
			?>
			</div><div class="<?php echo esc_attr( $neptunus_classes ); ?>">
			<?php
		}
		$neptunus_part = $neptunus_sticky_out && is_sticky() ? 'sticky' : 'classic';
		get_template_part( apply_filters( 'neptunus_filter_get_template_part', 'content', $neptunus_part ), $neptunus_part );
	}

	?>
	</div>
	<?php

	neptunus_show_pagination();

	neptunus_blog_archive_end();

} else {

	if ( is_search() ) {
		get_template_part( apply_filters( 'neptunus_filter_get_template_part', 'content', 'none-search' ), 'none-search' );
	} else {
		get_template_part( apply_filters( 'neptunus_filter_get_template_part', 'content', 'none-archive' ), 'none-archive' );
	}
}

get_footer();
