<?php
/* Instagram Feed support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'neptunus_instagram_feed_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'neptunus_instagram_feed_theme_setup9', 9 );
	function neptunus_instagram_feed_theme_setup9() {
		if ( is_admin() ) {
			add_filter( 'neptunus_filter_tgmpa_required_plugins', 'neptunus_instagram_feed_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( ! function_exists( 'neptunus_instagram_feed_tgmpa_required_plugins' ) ) {
	
	function neptunus_instagram_feed_tgmpa_required_plugins( $list = array() ) {
		if ( neptunus_storage_isset( 'required_plugins', 'instagram-feed' ) ) {
			$list[] = array(
				'name'     => esc_html__('Smash Balloon Instagram Feed', 'neptunus'),
				'slug'     => 'instagram-feed',
				'required' => false,
			);
		}
		return $list;
	}
}

// Check if Instagram Feed installed and activated
if ( ! function_exists( 'neptunus_exists_instagram_feed' ) ) {
	function neptunus_exists_instagram_feed() {
		return defined( 'SBIVER' );
	}
}

