<?php
/* Mail Chimp support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'neptunus_mailchimp_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'neptunus_mailchimp_theme_setup9', 9 );
	function neptunus_mailchimp_theme_setup9() {
		if ( neptunus_exists_mailchimp() ) {
			add_action( 'wp_enqueue_scripts', 'neptunus_mailchimp_frontend_scripts', 1100 );
			add_filter( 'neptunus_filter_merge_styles', 'neptunus_mailchimp_merge_styles' );
		}
		if ( is_admin() ) {
			add_filter( 'neptunus_filter_tgmpa_required_plugins', 'neptunus_mailchimp_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( ! function_exists( 'neptunus_mailchimp_tgmpa_required_plugins' ) ) {
	
	function neptunus_mailchimp_tgmpa_required_plugins( $list = array() ) {
		if ( neptunus_storage_isset( 'required_plugins', 'mailchimp-for-wp' ) && neptunus_storage_get_array( 'required_plugins', 'mailchimp-for-wp', 'install' ) !== false ) {
			$list[] = array(
				'name'     => neptunus_storage_get_array( 'required_plugins', 'mailchimp-for-wp', 'title' ),
				'slug'     => 'mailchimp-for-wp',
				'required' => false,
			);
		}
		return $list;
	}
}

// Check if plugin installed and activated
if ( ! function_exists( 'neptunus_exists_mailchimp' ) ) {
	function neptunus_exists_mailchimp() {
		return function_exists( '__mc4wp_load_plugin' ) || defined( 'MC4WP_VERSION' );
	}
}



// Custom styles and scripts
//------------------------------------------------------------------------

// Enqueue styles for frontend
if ( ! function_exists( 'neptunus_mailchimp_frontend_scripts' ) ) {
	
	function neptunus_mailchimp_frontend_scripts() {
		if ( neptunus_is_on( neptunus_get_theme_option( 'debug_mode' ) ) ) {
			$neptunus_url = neptunus_get_file_url( 'plugins/mailchimp-for-wp/mailchimp-for-wp.css' );
			if ( '' != $neptunus_url ) {
				wp_enqueue_style( 'neptunus-mailchimp', $neptunus_url, array(), null );
			}
		}
	}
}

// Merge custom styles
if ( ! function_exists( 'neptunus_mailchimp_merge_styles' ) ) {
	
	function neptunus_mailchimp_merge_styles( $list ) {
		$list[] = 'plugins/mailchimp-for-wp/mailchimp-for-wp.css';
		return $list;
	}
}


// Add plugin-specific colors and fonts to the custom CSS
if ( neptunus_exists_mailchimp() ) {
	require_once NEPTUNS_THEME_DIR . 'plugins/mailchimp-for-wp/mailchimp-for-wp-styles.php'; }

