<?php
/* TRX Socials support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('neptunus_trx_socials_theme_setup9')) {
	add_action( 'after_setup_theme', 'neptunus_trx_socials_theme_setup9', 9 );
	function neptunus_trx_socials_theme_setup9() {
		
		if (is_admin()) {
			add_filter( 'neptunus_filter_tgmpa_required_plugins',	'neptunus_trx_socials_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'neptunus_trx_socials_tgmpa_required_plugins' ) ) {

    function neptunus_trx_socials_tgmpa_required_plugins($list=array()) {
	    if ( neptunus_storage_isset( 'required_plugins', 'trx_socials' ) && neptunus_storage_get_array( 'required_plugins', 'trx_socials', 'install' ) !== false && neptunus_is_theme_activated() ) {
		    $path = neptunus_get_plugin_source_path( 'plugins/trx_socials/trx_socials.zip' );
		    if ( ! empty( $path ) || neptunus_get_theme_setting( 'tgmpa_upload' ) ) {
				$list[] = array(
					'name' 		=> esc_html__('TRX Socials', 'neptunus'),
					'slug' 		=> 'trx_socials',
					'source'	=> !empty($path) ? $path : 'upload://trx_socials.zip',
					'version'   => '1.4.5',
					'required' 	=> false
	            );
	        }
        }
        return $list;
    }
}

// Check if TRX Socials installed and activated
if ( !function_exists( 'neptunus_exists_trx_socials' ) ) {
	function neptunus_exists_trx_socials() {
        return function_exists( 'trx_socials_load_plugin_textdomain' );
	}
}
?>