<?php
/**
 * The Sidebar containing the main widget areas.
 *
 * @package WordPress
 * @subpackage NEPTUNS
 * @since NEPTUNS 1.0
 */

if ( neptunus_sidebar_present() ) {
	ob_start();
	$neptunus_sidebar_name = neptunus_get_theme_option( 'sidebar_widgets' );
	neptunus_storage_set( 'current_sidebar', 'sidebar' );
	if ( is_active_sidebar( $neptunus_sidebar_name ) ) {
		dynamic_sidebar( $neptunus_sidebar_name );
	}
	$neptunus_out = trim( ob_get_contents() );
	ob_end_clean();
	if ( ! empty( $neptunus_out ) ) {
		$neptunus_sidebar_position    = neptunus_get_theme_option( 'sidebar_position' );
		$neptunus_sidebar_position_ss = neptunus_get_theme_option( 'sidebar_position_ss' );
		?>
		<div class="sidebar widget_area
			<?php
			echo ' ' . esc_attr( $neptunus_sidebar_position );
			echo ' sidebar_' . esc_attr( $neptunus_sidebar_position_ss );

			if ( 'float' == $neptunus_sidebar_position_ss ) {
				echo ' sidebar_float';
			}
			$neptunus_sidebar_scheme = neptunus_get_theme_option( 'sidebar_scheme' );
			if ( ! empty( $neptunus_sidebar_scheme ) && ! neptunus_is_inherit( $neptunus_sidebar_scheme ) ) {
				echo ' scheme_' . esc_attr( $neptunus_sidebar_scheme );
			}
			?>
		" role="complementary">
			<?php
			// Single posts banner before sidebar
			neptunus_show_post_banner( 'sidebar' );
			// Button to show/hide sidebar on mobile
			if ( in_array( $neptunus_sidebar_position_ss, array( 'above', 'float' ) ) ) {
				$neptunus_title = apply_filters( 'neptunus_filter_sidebar_control_title', 'float' == $neptunus_sidebar_position_ss ? esc_html__( 'Show Sidebar', 'neptunus' ) : '' );
				$neptunus_text  = apply_filters( 'neptunus_filter_sidebar_control_text', 'above' == $neptunus_sidebar_position_ss ? esc_html__( 'Show Sidebar', 'neptunus' ) : '' );
				?>
				<a href="#" class="sidebar_control" title="<?php echo esc_attr( $neptunus_title ); ?>"><?php echo esc_html( $neptunus_text ); ?></a>
				<?php
			}
			?>
			<div class="sidebar_inner">
				<?php
				do_action( 'neptunus_action_before_sidebar' );
				neptunus_show_layout( preg_replace( "/<\/aside>[\r\n\s]*<aside/", '</aside><aside', $neptunus_out ) );
				do_action( 'neptunus_action_after_sidebar' );
				?>
			</div><!-- /.sidebar_inner -->
		</div><!-- /.sidebar -->
		<div class="clearfix"></div>
		<?php
	}
}
