<?php
/**
 * The template to display Admin notices
 *
 * @package WordPress
 * @subpackage NEPTUNS
 * @since NEPTUNS 1.0.1
 */

$neptunus_theme_obj = wp_get_theme();

?>
<div class="neptunus_admin_notice neptunus_rate_notice update-nag">
	<?php
	// Theme image
	$neptunus_theme_img = neptunus_get_file_url( 'screenshot.jpg' );
	if ( '' != $neptunus_theme_img ) {
		?>
		<div class="neptunus_notice_image"><img src="<?php echo esc_url( $neptunus_theme_img ); ?>" alt="<?php esc_attr_e( 'Theme screenshot', 'neptunus' ); ?>"></div>
		<?php
	}

	// Title
	?>
	<h3 class="neptunus_notice_title"><a href="<?php echo esc_url( neptunus_storage_get( 'theme_rate_url' ) ); ?>" target="_blank">
		<?php
		echo esc_html(
			sprintf(
				// Translators: Add theme name and version to the 'Welcome' message
				__( 'Rate our theme "%s", please', 'neptunus' ),
				$neptunus_theme_obj->name . ( NEPTUNS_THEME_FREE ? ' ' . __( 'Free', 'neptunus' ) : '' )
			)
		);
		?>
	</a></h3>
	<?php

	// Description
	?>
	<div class="neptunus_notice_text">
		<p><?php echo wp_kses_data( __( 'We are glad you chose our WP theme for your website. You have done well customizing your website and we hope that you have enjoyed working with our theme.', 'neptunus' ) ); ?></p>
		<p><?php echo wp_kses_data( __( 'It would be just awesome if you spend just a minute of your time to rate our theme or the customer service you have received from us.', 'neptunus' ) ); ?></p>
		<p class="neptunus_notice_text_info"><?php echo wp_kses_data( __( '* We love receiving 5-star ratings, because our CEO Henry Rise gives $5 to homeless dog shelter for every 5-star rating we get! Save the planet with us!', 'neptunus' ) ); ?></p>
	</div>
	<?php

	// Buttons
	?>
	<div class="neptunus_notice_buttons">
		<?php
		// Link to the theme download page
		?>
		<a href="<?php echo esc_url( neptunus_storage_get( 'theme_rate_url' ) ); ?>" class="button button-primary" target="_blank"><i class="dashicons dashicons-star-filled"></i> 
			<?php
			// Translators: Add theme name
			echo esc_html( sprintf( __( 'Rate theme %s', 'neptunus' ), $neptunus_theme_obj->name ) );
			?>
		</a>
		<?php
		// Link to the theme support
		?>
		<a href="<?php echo esc_url( neptunus_storage_get( 'theme_support_url' ) ); ?>" class="button" target="_blank"><i class="dashicons dashicons-sos"></i> 
			<?php
			esc_html_e( 'Support', 'neptunus' );
			?>
		</a>
		<?php
		// Link to the theme documentation
		?>
		<a href="<?php echo esc_url( neptunus_storage_get( 'theme_doc_url' ) ); ?>" class="button" target="_blank"><i class="dashicons dashicons-book"></i> 
			<?php
			esc_html_e( 'Documentation', 'neptunus' );
			?>
		</a>
		<?php
		// Dismiss
		?>
		<a href="#" class="neptunus_hide_notice"><i class="dashicons dashicons-dismiss"></i> <span class="neptunus_hide_notice_text"><?php esc_html_e( 'Dismiss', 'neptunus' ); ?></span></a>
	</div>
</div>
