<?php
/**
 * The template to display the widgets area in the footer
 *
 * @package WordPress
 * @subpackage NEPTUNS
 * @since NEPTUNS 1.0.10
 */

// Footer sidebar
$neptunus_footer_name    = neptunus_get_theme_option( 'footer_widgets' );
$neptunus_footer_present = ! neptunus_is_off( $neptunus_footer_name ) && is_active_sidebar( $neptunus_footer_name );
if ( $neptunus_footer_present ) {
	neptunus_storage_set( 'current_sidebar', 'footer' );
	$neptunus_footer_wide = neptunus_get_theme_option( 'footer_wide' );
	ob_start();
	if ( is_active_sidebar( $neptunus_footer_name ) ) {
		dynamic_sidebar( $neptunus_footer_name );
	}
	$neptunus_out = trim( ob_get_contents() );
	ob_end_clean();
	if ( ! empty( $neptunus_out ) ) {
		$neptunus_out          = preg_replace( "/<\\/aside>[\r\n\s]*<aside/", '</aside><aside', $neptunus_out );
		$neptunus_need_columns = true;   //or check: strpos($neptunus_out, 'columns_wrap')===false;
		if ( $neptunus_need_columns ) {
			$neptunus_columns = max( 0, (int) neptunus_get_theme_option( 'footer_columns' ) );			
			if ( 0 == $neptunus_columns ) {
				$neptunus_columns = min( 4, max( 1, neptunus_tags_count( $neptunus_out, 'aside' ) ) );
			}
			if ( $neptunus_columns > 1 ) {
				$neptunus_out = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $neptunus_columns ) . ' widget', $neptunus_out );
			} else {
				$neptunus_need_columns = false;
			}
		}
		?>
		<div class="footer_widgets_wrap widget_area<?php echo ! empty( $neptunus_footer_wide ) ? ' footer_fullwidth' : ''; ?> sc_layouts_row sc_layouts_row_type_normal">
			<div class="footer_widgets_inner widget_area_inner">
				<?php
				if ( ! $neptunus_footer_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $neptunus_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'neptunus_action_before_sidebar' );
				neptunus_show_layout( $neptunus_out );
				do_action( 'neptunus_action_after_sidebar' );
				if ( $neptunus_need_columns ) {
					?>
					</div><!-- /.columns_wrap -->
					<?php
				}
				if ( ! $neptunus_footer_wide ) {
					?>
					</div><!-- /.content_wrap -->
					<?php
				}
				?>
			</div><!-- /.footer_widgets_inner -->
		</div><!-- /.footer_widgets_wrap -->
		<?php
	}
}
