<?php
/**
 * The template to display custom header from the ThemeREX Addons Layouts
 *
 * @package WordPress
 * @subpackage NEPTUNS
 * @since NEPTUNS 1.0.06
 */

$neptunus_header_css   = '';
$neptunus_header_image = get_header_image();
$neptunus_header_video = neptunus_get_header_video();
if ( ! empty( $neptunus_header_image ) && neptunus_trx_addons_featured_image_override( is_singular() || neptunus_storage_isset( 'blog_archive' ) || is_category() ) ) {
	$neptunus_header_image = neptunus_get_current_mode_image( $neptunus_header_image );
}

$neptunus_header_id = neptunus_get_custom_header_id();
$neptunus_header_meta = get_post_meta( $neptunus_header_id, 'trx_addons_options', true );
if ( ! empty( $neptunus_header_meta['margin'] ) ) {
	neptunus_add_inline_css( sprintf( '.page_content_wrap{padding-top:%s}', esc_attr( neptunus_prepare_css_value( $neptunus_header_meta['margin'] ) ) ) );
}

?><header class="top_panel top_panel_custom top_panel_custom_<?php echo esc_attr( $neptunus_header_id ); ?> top_panel_custom_<?php echo esc_attr(sanitize_title(get_the_title($neptunus_header_id))); ?>
				<?php
				echo ! empty( $neptunus_header_image ) || ! empty( $neptunus_header_video )
					? ' with_bg_image'
					: ' without_bg_image';
				if ( '' != $neptunus_header_video ) {
					echo ' with_bg_video';
				}
				if ( '' != $neptunus_header_image ) {
					echo ' ' . esc_attr( neptunus_add_inline_css_class( 'background-image: url(' . esc_url( $neptunus_header_image ) . ');' ) );
				}
				if ( is_single() && has_post_thumbnail() ) {
					echo ' with_featured_image';
				}
				if ( neptunus_is_on( neptunus_get_theme_option( 'header_fullheight' ) ) ) {
					echo ' header_fullheight neptunus-full-height';
				}
				$neptunus_header_scheme = neptunus_get_theme_option( 'header_scheme' );
				if ( ! empty( $neptunus_header_scheme ) && ! neptunus_is_inherit( $neptunus_header_scheme  ) ) {
					echo ' scheme_' . esc_attr( $neptunus_header_scheme );
				}
				?>
">
	<?php

	// Background video
	if ( ! empty( $neptunus_header_video ) ) {
		get_template_part( apply_filters( 'neptunus_filter_get_template_part', 'templates/header-video' ) );
	}

	// Custom header's layout
	do_action( 'neptunus_action_show_layout', $neptunus_header_id );

	// Header widgets area
	get_template_part( apply_filters( 'neptunus_filter_get_template_part', 'templates/header-widgets' ) );

	?>
</header>
