<?php
/**
 * The template to display default site header
 *
 * @package WordPress
 * @subpackage NEPTUNS
 * @since NEPTUNS 1.0
 */

$neptunus_header_css   = '';
$neptunus_header_image = get_header_image();
$neptunus_header_video = neptunus_get_header_video();
if ( ! empty( $neptunus_header_image ) && neptunus_trx_addons_featured_image_override( is_singular() || neptunus_storage_isset( 'blog_archive' ) || is_category() ) ) {
	$neptunus_header_image = neptunus_get_current_mode_image( $neptunus_header_image );
}

?><header class="top_panel top_panel_default
	<?php
	echo ! empty( $neptunus_header_image ) || ! empty( $neptunus_header_video ) ? ' with_bg_image' : ' without_bg_image';
	if ( '' != $neptunus_header_video ) {
		echo ' with_bg_video';
	}
	if ( '' != $neptunus_header_image ) {
		echo ' ' . esc_attr( neptunus_add_inline_css_class( 'background-image: url(' . esc_url( $neptunus_header_image ) . ');' ) );
	}
	if ( is_single() && has_post_thumbnail() ) {
		echo ' with_featured_image';
	}
	if ( neptunus_is_on( neptunus_get_theme_option( 'header_fullheight' ) ) ) {
		echo ' header_fullheight neptunus-full-height';
	}
	$neptunus_header_scheme = neptunus_get_theme_option( 'header_scheme' );
	if ( ! empty( $neptunus_header_scheme ) && ! neptunus_is_inherit( $neptunus_header_scheme  ) ) {
		echo ' scheme_' . esc_attr( $neptunus_header_scheme );
	}
	?>
">
	<?php

	// Background video
	if ( ! empty( $neptunus_header_video ) ) {
		get_template_part( apply_filters( 'neptunus_filter_get_template_part', 'templates/header-video' ) );
	}

	// Main menu
	if ( neptunus_get_theme_option( 'menu_style' ) == 'top' ) {
		get_template_part( apply_filters( 'neptunus_filter_get_template_part', 'templates/header-navi' ) );
	}

	// Mobile header
	if ( neptunus_is_on( neptunus_get_theme_option( 'header_mobile_enabled' ) ) ) {
		get_template_part( apply_filters( 'neptunus_filter_get_template_part', 'templates/header-mobile' ) );
	}

	if ( !is_single() || ( neptunus_get_theme_option( 'post_header_position' ) == 'under' && neptunus_get_theme_option( 'post_thumbnail_type' ) == 'default' ) ) {
		// Page title and breadcrumbs area
		get_template_part( apply_filters( 'neptunus_filter_get_template_part', 'templates/header-title' ) );

		// Display featured image in the header on the single posts
		// Comment next line to prevent show featured image in the header area
		// and display it in the post's content
		get_template_part( apply_filters( 'neptunus_filter_get_template_part', 'templates/header-single' ) );
	}

	// Header widgets area
	get_template_part( apply_filters( 'neptunus_filter_get_template_part', 'templates/header-widgets' ) );
	?>
</header>
