<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package WordPress
 * @subpackage NEPTUNS
 * @since NEPTUNS 1.0
 */

$neptunus_args = get_query_var( 'neptunus_logo_args' );

// Site logo
$neptunus_logo_type   = isset( $neptunus_args['type'] ) ? $neptunus_args['type'] : '';
$neptunus_logo_image  = neptunus_get_logo_image( $neptunus_logo_type );
$neptunus_logo_text   = neptunus_is_on( neptunus_get_theme_option( 'logo_text' ) ) ? get_bloginfo( 'name' ) : '';
$neptunus_logo_slogan = get_bloginfo( 'description', 'display' );
if ( ! empty( $neptunus_logo_image['logo'] ) || ! empty( $neptunus_logo_text ) ) {
	?><a class="sc_layouts_logo" href="<?php echo esc_url( home_url( '/' ) ); ?>">
		<?php
		if ( ! empty( $neptunus_logo_image['logo'] ) ) {
			if ( empty( $neptunus_logo_type ) && function_exists( 'the_custom_logo' ) && is_numeric( $neptunus_logo_image['logo'] ) && $neptunus_logo_image['logo'] > 0 ) {
				the_custom_logo();
			} else {
				$neptunus_attr = neptunus_getimagesize( $neptunus_logo_image['logo'] );
				echo '<img src="' . esc_url( $neptunus_logo_image['logo'] ) . '"'
						. ( ! empty( $neptunus_logo_image['logo_retina'] ) ? ' srcset="' . esc_url( $neptunus_logo_image['logo_retina'] ) . ' 2x"' : '' )
						. ' alt="' . esc_attr( $neptunus_logo_text ) . '"'
						. ( ! empty( $neptunus_attr[3] ) ? ' ' . wp_kses_data( $neptunus_attr[3] ) : '' )
						. '>';
			}
		} else {
			neptunus_show_layout( neptunus_prepare_macros( $neptunus_logo_text ), '<span class="logo_text">', '</span>' );
			neptunus_show_layout( neptunus_prepare_macros( $neptunus_logo_slogan ), '<span class="logo_slogan">', '</span>' );
		}
		?>
	</a>
	<?php
}
