<?php
/**
 * The template to show mobile menu
 *
 * @package WordPress
 * @subpackage NEPTUNS
 * @since NEPTUNS 1.0
 */
?>
<div class="menu_mobile_overlay"></div>
<div class="menu_mobile menu_mobile_<?php echo esc_attr( neptunus_get_theme_option( 'menu_mobile_fullscreen' ) > 0 ? 'fullscreen' : 'narrow' ); ?> scheme_dark">
	<div class="menu_mobile_inner">
		<a class="menu_mobile_close theme_button_close"><span class="theme_button_close_icon"></span></a>
		<?php

		// Logo
		set_query_var( 'neptunus_logo_args', array( 'type' => 'mobile' ) );
		get_template_part( apply_filters( 'neptunus_filter_get_template_part', 'templates/header-logo' ) );
		set_query_var( 'neptunus_logo_args', array() );

		// Mobile menu
		$neptunus_menu_mobile = neptunus_get_nav_menu( 'menu_mobile' );
		if ( empty( $neptunus_menu_mobile ) ) {
			$neptunus_menu_mobile = apply_filters( 'neptunus_filter_get_mobile_menu', '' );
			if ( empty( $neptunus_menu_mobile ) ) {
				$neptunus_menu_mobile = neptunus_get_nav_menu( 'menu_main' );
				if ( empty( $neptunus_menu_mobile ) ) {
					$neptunus_menu_mobile = neptunus_get_nav_menu();
				}
			}
		}
		if ( ! empty( $neptunus_menu_mobile ) ) {
			$neptunus_menu_mobile = str_replace(
				array( 'menu_main',   'id="menu-',        'sc_layouts_menu_nav', 'sc_layouts_menu ', 'sc_layouts_hide_on_mobile', 'hide_on_mobile' ),
				array( 'menu_mobile', 'id="menu_mobile-', '',                    ' ',                '',                          '' ),
				$neptunus_menu_mobile
			);
			if ( strpos( $neptunus_menu_mobile, '<nav ' ) === false ) {
				$neptunus_menu_mobile = sprintf( '<nav class="menu_mobile_nav_area" itemscope="itemscope" itemtype="http://schema.org/SiteNavigationElement">%s</nav>', $neptunus_menu_mobile );
			}
			neptunus_show_layout( apply_filters( 'neptunus_filter_menu_mobile_layout', $neptunus_menu_mobile ) );
		}

		// Search field
		do_action(
			'neptunus_action_search',
			array(
				'style' => 'normal',
				'class' => 'search_mobile',
				'ajax'  => false
			)
		);

		// Social icons
		neptunus_show_layout( neptunus_get_socials_links(), '<div class="socials_mobile">', '</div>' );
		?>
	</div>
</div>
