<?php
/**
 * The template to display the page title and breadcrumbs
 *
 * @package WordPress
 * @subpackage NEPTUNS
 * @since NEPTUNS 1.0
 */

// Page (category, tag, archive, author) title

if ( neptunus_need_page_title() ) {
	neptunus_sc_layouts_showed( 'title', true );
	neptunus_sc_layouts_showed( 'postmeta', false );
	?>
	<div class="top_panel_title sc_layouts_row sc_layouts_row_type_normal">
		<div class="content_wrap">
			<div class="sc_layouts_column sc_layouts_column_align_center">
				<div class="sc_layouts_item">
					<div class="sc_layouts_title sc_align_center">
						<?php
						// Post meta on the single post
						if (  false && is_single() ) {
							?>
							<div class="sc_layouts_title_meta">
							<?php
								neptunus_show_post_meta(
									apply_filters(
										'neptunus_filter_post_meta_args', array(
											'components' => neptunus_array_get_keys_by_value( neptunus_get_theme_option( 'meta_parts' ) ),
											'counters'   => neptunus_array_get_keys_by_value( neptunus_get_theme_option( 'counters' ) ),
											'seo'        => neptunus_is_on( neptunus_get_theme_option( 'seo_snippets' ) ),
										), 'header', 1
									)
								);
							?>
							</div>
							<?php
						}

						// Blog/Post title
						?>
						<div class="sc_layouts_title_title">
							<?php
							$neptunus_blog_title           = neptunus_get_blog_title();
							$neptunus_blog_title_text      = '';
							$neptunus_blog_title_class     = '';
							$neptunus_blog_title_link      = '';
							$neptunus_blog_title_link_text = '';
							if ( is_array( $neptunus_blog_title ) ) {
								$neptunus_blog_title_text      = $neptunus_blog_title['text'];
								$neptunus_blog_title_class     = ! empty( $neptunus_blog_title['class'] ) ? ' ' . $neptunus_blog_title['class'] : '';
								$neptunus_blog_title_link      = ! empty( $neptunus_blog_title['link'] ) ? $neptunus_blog_title['link'] : '';
								$neptunus_blog_title_link_text = ! empty( $neptunus_blog_title['link_text'] ) ? $neptunus_blog_title['link_text'] : '';
							} else {
								$neptunus_blog_title_text = $neptunus_blog_title;
							}
							?>
							<h1 itemprop="headline" class="sc_layouts_title_caption<?php echo esc_attr( $neptunus_blog_title_class ); ?>">
								<?php
								$neptunus_top_icon = neptunus_get_term_image_small();
								if ( ! empty( $neptunus_top_icon ) ) {
									$neptunus_attr = neptunus_getimagesize( $neptunus_top_icon );
									?>
									<img src="<?php echo esc_url( $neptunus_top_icon ); ?>" alt="<?php esc_attr_e( 'Site icon', 'neptunus' ); ?>"
										<?php
										if ( ! empty( $neptunus_attr[3] ) ) {
											neptunus_show_layout( $neptunus_attr[3] );
										}
										?>
									>
									<?php
								}
								echo wp_kses( $neptunus_blog_title_text, 'neptunus_kses_content' );
								?>
							</h1>
							<?php
							if ( ! empty( $neptunus_blog_title_link ) && ! empty( $neptunus_blog_title_link_text ) ) {
								?>
								<a href="<?php echo esc_url( $neptunus_blog_title_link ); ?>" class="theme_button theme_button_small sc_layouts_title_link"><?php echo esc_html( $neptunus_blog_title_link_text ); ?></a>
								<?php
							}

							// Category/Tag description
							if ( is_category() || is_tag() || is_tax() ) {
								the_archive_description( '<div class="sc_layouts_title_description">', '</div>' );
							}

							?>
						</div>
						<?php
                        if ( neptunus_exists_trx_addons() ) { // Breadcrumbs ?>
                            <div class="sc_layouts_title_breadcrumbs">
                                <?php
                                do_action( 'neptunus_action_breadcrumbs' );
                                ?>
                            </div>
                            <?php
                        }
						?>

					</div>
				</div>
			</div>
		</div>
	</div>
	<?php
}
