<?php
/**
 * The template to display the widgets area in the header
 *
 * @package WordPress
 * @subpackage NEPTUNS
 * @since NEPTUNS 1.0
 */

// Header sidebar
$neptunus_header_name    = neptunus_get_theme_option( 'header_widgets' );
$neptunus_header_present = ! neptunus_is_off( $neptunus_header_name ) && is_active_sidebar( $neptunus_header_name );
if ( $neptunus_header_present ) {
	neptunus_storage_set( 'current_sidebar', 'header' );
	$neptunus_header_wide = neptunus_get_theme_option( 'header_wide' );
	ob_start();
	if ( is_active_sidebar( $neptunus_header_name ) ) {
		dynamic_sidebar( $neptunus_header_name );
	}
	$neptunus_widgets_output = ob_get_contents();
	ob_end_clean();
	if ( ! empty( $neptunus_widgets_output ) ) {
		$neptunus_widgets_output = preg_replace( "/<\/aside>[\r\n\s]*<aside/", '</aside><aside', $neptunus_widgets_output );
		$neptunus_need_columns   = strpos( $neptunus_widgets_output, 'columns_wrap' ) === false;
		if ( $neptunus_need_columns ) {
			$neptunus_columns = max( 0, (int) neptunus_get_theme_option( 'header_columns' ) );
			if ( 0 == $neptunus_columns ) {
				$neptunus_columns = min( 6, max( 1, neptunus_tags_count( $neptunus_widgets_output, 'aside' ) ) );
			}
			if ( $neptunus_columns > 1 ) {
				$neptunus_widgets_output = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $neptunus_columns ) . ' widget', $neptunus_widgets_output );
			} else {
				$neptunus_need_columns = false;
			}
		}
		?>
		<div class="header_widgets_wrap widget_area<?php echo ! empty( $neptunus_header_wide ) ? ' header_fullwidth' : ' header_boxed'; ?>">
			<div class="header_widgets_inner widget_area_inner">
				<?php
				if ( ! $neptunus_header_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $neptunus_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'neptunus_action_before_sidebar' );
				neptunus_show_layout( $neptunus_widgets_output );
				do_action( 'neptunus_action_after_sidebar' );
				if ( $neptunus_need_columns ) {
					?>
					</div>	<!-- /.columns_wrap -->
					<?php
				}
				if ( ! $neptunus_header_wide ) {
					?>
					</div>	<!-- /.content_wrap -->
					<?php
				}
				?>
			</div>	<!-- /.header_widgets_inner -->
		</div>	<!-- /.header_widgets_wrap -->
		<?php
	}
}
